org.jbpm.kie.services.impl.admin

## Class MigrationReportImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.admin.MigrationReportImpl

- All Implemented Interfaces:
    Serializable, MigrationReport

      public class MigrationReportImpl
      extends Object
      implements MigrationReport, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MigrationReportImpl(Long processInstanceId, boolean successful, Date startDate, Date endDate, List<MigrationEntry> entries)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getEndDate()` Timestamp representing end time of the migration
    `List<MigrationEntry>` | `getEntries()` Returns complete list of migration entries (steps performed) with details about them
    `Long` | `getProcessInstanceId()` Returns process instance id that was migrated
    `Date` | `getStartDate()` Timestamp representing start time of the migration
    `boolean` | `isSuccessful()` Indicates if the migration was successful or not
    `void` | `setEndDate(Date endDate)`
    `void` | `setEntries(List<MigrationEntry> entries)`
    `void` | `setProcessInstanceId(Long processInstanceId)`
    `void` | `setStartDate(Date startDate)`
    `void` | `setSuccessful(boolean successful)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MigrationReportImpl

          public MigrationReportImpl(Long processInstanceId,
                                     boolean successful,
                                     Date startDate,
                                     Date endDate,
                                     List<MigrationEntry> entries)

  - ### Method Detail

    - #### isSuccessful

          public boolean isSuccessful()

      Description copied from interface: `MigrationReport`
      Indicates if the migration was successful or not
      Specified by:
        `isSuccessful` in interface `MigrationReport`
      Returns:

    - #### setSuccessful

          public void setSuccessful(boolean successful)

    - #### getStartDate

          public Date getStartDate()

      Description copied from interface: `MigrationReport`
      Timestamp representing start time of the migration
      Specified by:
        `getStartDate` in interface `MigrationReport`
      Returns:

    - #### setStartDate

          public void setStartDate(Date startDate)

    - #### getEndDate

          public Date getEndDate()

      Description copied from interface: `MigrationReport`
      Timestamp representing end time of the migration
      Specified by:
        `getEndDate` in interface `MigrationReport`
      Returns:

    - #### setEndDate

          public void setEndDate(Date endDate)

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Description copied from interface: `MigrationReport`
      Returns process instance id that was migrated
      Specified by:
        `getProcessInstanceId` in interface `MigrationReport`
      Returns:

    - #### setProcessInstanceId

          public void setProcessInstanceId(Long processInstanceId)

    - #### getEntries

          public List<MigrationEntry> getEntries()

      Description copied from interface: `MigrationReport`
      Returns complete list of migration entries (steps performed) with details about them
      Specified by:
        `getEntries` in interface `MigrationReport`
      Returns:

    - #### setEntries

          public void setEntries(List<MigrationEntry> entries)

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.